Bug 426235 - Must update b43 code!
Must update b43 code!
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-19 09:22 EST by Alroger L. Gomes F.
Modified: 2008-01-16 16:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 08:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alroger L. Gomes F. 2007-12-19 09:22:03 EST
Description of problem:
b43 code is NOT uptodate.

The b43 developers suggested opening up this bugreport.

This causes problems with Broadcom Wireless in Fedora8. Unusable.
b43 wireless module works poorly on bcm4311/12. Unberable packet loss. Wifi
light off.

Version-Release number of selected component (if applicable):
up to the latest rawhide in the development repo, b43 code is still deprecaded.

I've tested the latest kernel with the wireless patches and it works
wonderfully! Please get it in Fedora8 for regular users!
Comment 1 John W. Linville 2007-12-19 09:56:48 EST
I'm sorry it has taken me more than 36 hours to get F8 updated with the 
absolute latest patches from wireless-2.6.  I'll try to do better...perhaps 
you should consider a rawhide kernel in the meantime?

Is your issue related to another open bugzilla?
Comment 2 John W. Linville 2007-12-19 10:13:35 EST
Ah, I see the rawhide tree doesn't have the latest kernel builds yet for some 
reason.  You might try one straight from Koji:

Comment 3 Alroger L. Gomes F. 2007-12-19 10:14:24 EST
As I mentioned, not even the latest rawhide has the updates.
This is the only place I posted this issue, recomended by the b43 devel guys.

When you say 36 hours, what do you mean? What has been updated in 36 hours?

Need anything else I can help with?
Comment 4 John W. Linville 2007-12-19 10:32:10 EST
What I mean is, what is the actual b43 problem you are experiencing that you 
think the absolute latest b43 code will fix?  Is there an open bugzilla for 
that problem?

As for 36 hours, please see the link in comment 2, and check the time that the 
build completed.  But I guess the last b43 patches were committed to 
wireless-2.6 around midnight EST on Saturday.  So perhaps I should have said 
72 hours instead.  I suppose I should have spent Sunday working on that -- 
shame on me.  Please be patient.
Comment 5 Alroger L. Gomes F. 2007-12-19 11:07:30 EST
b43 has been useless for me since F8 has comeout. 
I guess not many people report it, they just go back to F7, Ubuntu or something,
because bcm43xx worked fine.

Mine is a BCM3412 inside a Dell notebook Latitude 131L. Big hit in Brazil in the
last couple months, since it's a nice lowcost notebook. I personally recomend it
to my clients. I'm an IT consultant and Linux preacher.

So the latest code does fix it. In fact, it's the fastest wifi driver I've ever
tested in Linux or Windows in lowcost notebooks.

The guys at bcm_users IRC, mentioned something about phy that was fixed but
never got in Fedora. Sounded like something more than a couple days old.

Now the question is when will it be in Fedora stable? I've been trying to fix
this to recommend Fedora over Ubuntu to some users.

I'll be logged in #bcm-users
Comment 6 Dario Castellarin 2007-12-20 05:07:55 EST
Kernel from Koji build fixed both bug 374871 and bug 412861 for me.
Comment 7 John W. Linville 2007-12-20 08:49:25 EST
Excellent!  Thanks for the feedback, Dario!
Comment 8 Alroger L. Gomes F. 2007-12-20 21:00:08 EST
kernel update just cameout, but no b43 fixes.
Comment 9 Alroger L. Gomes F. 2007-12-20 21:18:20 EST
dont get it, why was this closed?
Comment 10 John W. Linville 2007-12-21 01:56:38 EST
85 < 99...fwiw -85.fc8 was built two weeks ago...as I mentioned before, the 
fixes you need only became available around midnight EST on Saturday...

Comment 11 Alroger L. Gomes F. 2008-01-14 16:33:37 EST
Still no Kernel update for the b43 fix (I mean YUM update, for regular users).
Wasn't the "Kernel from Koji" supposed to come in soon?
Comment 12 Alan Olsen 2008-01-16 16:47:12 EST
When is this going to get pushed out to the rest of the world?  I am having this
problem as well.  So far this appears to fix my issues with the card.

Note You need to log in before you can comment on or make changes to this bug.